using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Strata.Code.DataAccess.Models;

[Table("PerformanceTestingSetting", Schema = "fp")]
[Index("Name", Name = "IX_PerformanceTestingSetting_Unique", IsUnique = true)]
public partial class PerformanceTestingSetting
{
    [Key]
    [Column("SystemSettingID")]
    public int SystemSettingId { get; set; }

    [StringLength(100)]
    public string Name { get; set; } = null!;

    [StringLength(400)]
    public string Description { get; set; } = null!;

    public string Value { get; set; } = null!;

    public bool IsEditable { get; set; }

    public int ColumnType { get; set; }

    [StringLength(100)]
    public string DefaultValue { get; set; } = null!;

    public bool IsEncrypted { get; set; }

    public DateOnly DateCreated { get; set; }
}
